<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-create-join-org-card *ngIf="initializing$ | async; else loaded" title="Join organisation" [wide]="true" routeOnBack="/onboarding/organisation/join">
  <div class="w-full h-full flex flex-col items-center justify-center gap-4">
    <app-spinner [size]="24"></app-spinner>
    <div class="text-text-500">Loading invitation info</div>
  </div>
</app-create-join-org-card>
<ng-template #loaded>
  <app-create-join-org-card *ngIf="organisation || (errorInitializing$ | async)" title="Join organisation" [wide]="true" routeOnBack="/onboarding/organisation/join">
    <ng-template *ngIf="errorInitializing" #leading>
      <div class="pb-6">
        <p-message severity="danger" [text]="'Invalid invitation. Please contact the administrator of the issuing organisation.'"></p-message>
      </div>
    </ng-template>
    <app-org-info>
      <ng-template #name>
        <div *ngIf="!errorInitializing && organisation; else noName" class="display-container">{{ organisation.name }}</div>
        <ng-template #noName>
          <div class="display-container-disabled">invalid</div>
        </ng-template>
      </ng-template>
      <ng-template #location>
        <div class="flex items-center gap-2 display-container">
          <i class="pi pi-map-marker"></i>
          <div *ngIf="!errorInitializing && organisation; else noLocation">{{ organisation.location }}</div>
          <ng-template #noLocation>
            <div class="display-container-disabled">invalid</div>
          </ng-template>
        </div>
      </ng-template>
      <ng-template #businessID>
        <div *ngIf="!errorInitializing && organisation; else noBussinessID" class="display-container" [ngClass]="{ 'text-text-300': !organisation.businessId }">
          {{ organisation.businessId ?? 'Not provided' }}
        </div>
        <ng-template #noBussinessID>
          <div class="display-container-disabled">invalid</div>
        </ng-template>
      </ng-template>
      <ng-template #description>
        <div *ngIf="!errorInitializing && organisation; else noDescription" class="display-container min-h-32" [ngClass]="{ 'text-text-300': !organisation.businessId }">
          {{ organisation.description ?? 'Not provided' }}
        </div>
        <ng-template #noDescription>
          <div class="display-container-disabled min-h-32">invalid</div>
        </ng-template>
      </ng-template>
      <ng-template #action>
        <div class="pb-24">
          <ng-container *ngLet="(loading$ | async) ?? false as loading">
            <p-button
              *ngIf="!errorInitializing"
              label="Join"
              (click)="join()"
              [style]="{ width: '200px', paddingRight: loading ? '40px' : undefined }"
              [loading]="loading"
            ></p-button>
          </ng-container>
        </div>
      </ng-template>
    </app-org-info>
  </app-create-join-org-card>
</ng-template>
